Subject: Re: Error in Make
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Cc: sirWill <[email-masked]>
Date: Thu, 3 Mar 2011 12:49:21 +0100
List-Id: <cygwin.cygwin.com>

Dear Sir :)

On Thu, Mar 3, 2011 at 9:15 AM, sirWill  wrote:
>
> I receive some project in C++ and Qt and I should build it in Cygwin. But
> operation "make" in Cygwin wrote for me:
>
> make: Nothing to be done for 'all'
>
> This is  http://old.nabble.com/file/p31056876/Makefile Makefile .

You should be happy. "Nothing to be done for 'all' " means that
vclient is ready (it already exists).

Your makefile contains:

#$(CLIENT): $(patsubst %.cpp,%.o, $(VCLIENT_SOURCES)) $(patsubst
%.cpp,%.o, $(MOC_MODULES))
#	$(CXX) $^ $(CLIENT_LIBS) -o $@

You just commented out the recipe which would have told make how to
create $(CLIENT) a.k.a. vclient.

If you delete vclient and run make, you'll get the following error:
make: *** No rule to make target `vclient', needed by `all'.  Stop.

The # character acts as a comment for make. You should try
uncommenting these two lines and running make again.
This is a problem with your makefile, not the make. It is also not a
Cygwin problem. You would get the same result on Linux with the
commented out lines.

If you want to see what make is "thinking", use the -d option.

HTH,
Csaba
-- 
GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
The Tao of math: The numbers you can count are not the real numbers.
Life is complex, with real and imaginary parts.
"Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
"People disagree with me. I just ignore them." -- Linus Torvalds

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple